[![Add to Calendar Button Vue Wrapper](https://github.com/add2cal/add-to-calendar-button-vue/blob/main/assets/readme-header.png?raw=true)](https://github.com/add2cal/add-to-calendar-button)

[![Version](https://img.shields.io/npm/v/add-to-calendar-button-vue?label=Version&style=for-the-badge)](https://github.com/add2cal/add-to-calendar-button)
[![Parent Script Version](https://img.shields.io/badge/Supports%20Parent%20Script%20Version-<=v1.18.8-blue?style=for-the-badge)](https://github.com/add2cal/add-to-calendar-button)
[![npm bundle size](https://img.shields.io/bundlephobia/minzip/add-to-calendar-button-vue?style=for-the-badge)](https://github.com/add2cal/add-to-calendar-button)

<br />

# ⚠️ Deprecated!

## The Add to Calendar Button - optimized for Vue 3

This is a deprecated wrapper repository for the popular [Add to Calendar Button](https://github.com/add2cal/add-to-calendar-button).

It is no longer supported, since the mentioned parent repository now supports native Vue support out-of-the-box!


<br />

## ▶️ Demo

See [add-to-calendar-button.com](https://add-to-calendar-button.com/) for a live demo and more documentation.

<br /><br />

---

<br /><br />

## ✨ Features

Simple and convenient integration of 1 or many buttons, optimized to be used as a Vue component.

### Supported Calendars

- **Google** Calendar.
- **Yahoo** Calender.
- **Microsoft 365, Outlook, and Teams**.
- Automatically generated **iCal/ics** files (for all other calendars, like **Apple**).

### Event Types

- Timed and all-day events.
- One-time, multi-date, recurring.
- Most robust time zone and daylight saving management (via our own [TimeZones iCal Library](https://github.com/add2cal/timezones-ical-library)).
- Dynamic dates (like "today + 3").

### Look

- Beautiful and adjustable UI.
- Light and dark mode.
- Multiple themes.

### Accessibility

- Optimized and adjustable UX (for desktop and mobile).
- Dynamic dropdown positioning.
- Taking care of all those edge cases, where some scenarios do not support specific setups (like WebView blocking downloads); utilizing beautiful user guidance workarounds.
- Auto-generated Schema.org rich (structured) data for better SEO.
- Full support for mouse, touch, or keyboard input (W3C WAI compliant).
- Supporting 20+ languages, incl. RTL text for Arabic; but also custom labels and text blocks.

### And much more

- Well documented code, to easily understand the processes and build on top of it.
- No external module or backend dependencies.
- Therefore, fully GDPR, CCPA, and LGPD compliant - without the need of signing some data processing agreement.
- FREE and easy.

<br /><br />

---

<br /><br />

### All options and hidden features

Find all information about the available parameters and how to configure specific features at the [github.com/add2cal/add-to-calendar-button/blob/main/DOCS.md](https://github.com/add2cal/add-to-calendar-button/blob/main/DOCS.md).

<br />

---

<br />

## ⚡ Changelog

- v2.0 : deprecated in favor of the parent repository
- v1.2 : asynch functionality
- v1.1 : changing component name
- v1.0 : initial release

<br />


## 📃 Copyright and License

Copyright (c) [Jens Kuerschner](https://jenskuerschner.de).

Licensed under [Elastic License 2.0 (ELv2)](LICENSE.txt).

**About open-source**:
We consider ourselves open-source.
However, we are also aware of the controversy coming with licenses like the one selected.
Therefore, and contrary to many other companies and products, we no longer use the term in any marketing statements unless it is about other pieces which really are under an official OSI license.

Speaking **about the license**:
We love it, because it is so simple. Have a look!
You are basically free to do anything unless you are not offering the tool itself as a product or service; or want to remove copyright and license stuff.
In doubt, simply ask and we find a way. :)

<br />

---

<br />

## 💜 Kudos go to

...all contributors and people involved! Thanks a lot!

Find more details at [the respective parent repo section here...](https://github.com/add2cal/add-to-calendar-button#-kudos-go-to)

<br />
